
function [pixel_dist, pixel_area] = getscale2(I,image_info,filename)
%% cropping upper 1/4th section of the image 
cord = [image_info.Width/2 0 image_info.Width/2 image_info.Height/2];
Icr = imcrop(I,cord);  % Provided circles located on top right part of figure.

%%
Icr_red = imadjust(Icr,[.6 0.4 0.4; .9 .6 0.6],[]);
Icr_gr = rgb2gray(Icr_red);
bw = im2bw(Icr_gr,0.2);
bw1 = medfilt2(bw,[3 3]);
bw1 = ~bw1;
%imshow(bw1);
%day621 = [220 230]; % dark images due to light at the top of camera (should be done manually)
%day622 = [185 195];
%day623 = [230 240];
%day624 = [170 180];
%day625 = [285 300]; % this needs to be done manually ( highly zoomed image)
%day626 = [195 205];
%day627 = [185 195];
% day628 = [190 200];
%day629 = [215 230];
 day630 = [185 195];
[center, radii] = imfindcircles(bw1,day630,'ObjectPolarity','bright', ...
    'Sensitivity',0.98);

    
while numel(center)> 4 || numel(center) == 0
    formatSpec = 'Error in finding circles in %s, needs to be manually checked !\n';
    fprintf(formatSpec,filename);
    pixel_dist = inf;
    pixel_area = inf;
    return
end

if numel(center) == 2
imshow(Icr);    
viscircles(center,radii);  
pixel_dist = radii*2/1.9; % actual diameter of circle = 19mm
pixel_area = pixel_dist*pixel_dist;
pause(2)

else
X = center(:,1);
Y = center(:,2);
imshow(Icr);
viscircles(center,radii);
hh = get(gcf,'CurrentAxes');
h = imdistline(hh,X,Y);
pause(2)
api = iptgetapi(h);
pixel_dist = getDistance(api)/3;    % circles center 3cm apart.
pixel_area = pixel_dist*pixel_dist; % pixel area in 1 cm^2
end

